# ****************************************************************
# *                DO NOT MODIFY THIS FILE.                      *
# *                                                              *
# * Place customizations in docker-compose.override.yml and .env *
# ****************************************************************
version: "3.3"
services:
  usasdb:
    restart: unless-stopped
    image: docker.ssdt.io/trainingdb-usas:${USAS_DB_TAG:-prod}
    networks:
      - default
    environment:
      - DB_NAME=usasdb
      - DB_USER=usas
      - DB_PASS=${USAS_DB_PASSWORD:-usasdefault}
  usasapp:
    restart: unless-stopped
    image: docker.ssdt.io/usas-app:${USAS_TAG:-prod}
    depends_on:
      - usasdb
    networks:
      default:
        aliases:
        - ${USAS_APP_HOST:-usasapp-svr}
    environment:
      - APPLICATION_INSTANCE_TYPE=Training
      - APPLICATION_ADMIN_PASSWORD=training
      - APPLICATION_ADMIN_RESET=true
      - DB_HOST=usasdb
      - DB_NAME=usasdb
      - DB_USER=usas
      - DB_PASS=${USAS_DB_PASSWORD:-usasdefault}
      - DB_POOL_LEAKDETECTIONTHRESHOLD=300000
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_CLIENTHOST=${USPS_APP_HOST:-uspsapp-svr}
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_CLIENTDNSLOOKUP=true
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_SERVERHOST=0.0.0.0
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_SERVERHOSTDNSLOOKUP=false
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_APPLICATIONID=${USAS_APPLICATIONID:- }
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_APIKEY=${USAS_APIKEY:- }
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_REMOTEAPPLICATIONID=${USPS_APPLICATIONID:- }
      - USAS_MODULE_USPSINTEGRATION_CONFIGURATION_USPSCONFIGURATION_REMOTEAPIKEY=${USPS_APIKEY:- }
      - JAVA_OPTS=-Xmx840m 
  uspsdb:
    restart: unless-stopped
    image: docker.ssdt.io/trainingdb-usps:${USPS_DB_TAG:-prod}
    networks:
      - default
    environment:
      - DB_NAME=uspsdb
      - DB_USER=usps
      - DB_PASS=${USPS_DB_PASSWORD:-uspsdefault}
  uspsapp:
    restart: unless-stopped
    image: docker.ssdt.io/usps-app:${USPS_TAG:-prod}
    depends_on:
      - uspsdb
    networks:
      default:
        aliases:
        - ${USPS_APP_HOST:-uspsapp-svr}
    environment:
      - APPLICATION_INSTANCE_TYPE=Training
      - APPLICATION_ADMIN_PASSWORD=training
      - APPLICATION_ADMIN_RESET=true
      - DB_HOST=uspsdb
      - DB_NAME=uspsdb
      - DB_USER=usps
      - DB_PASS=${USPS_DB_PASSWORD:-uspsdefault}
      - DB_POOL_LEAKDETECTIONTHRESHOLD=300000
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_CLIENTHOST=${USAS_APP_HOST:-usasapp-svr}
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_CLIENTDNSLOOKUP=true
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_SERVERHOST=0.0.0.0
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_SERVERHOSTDNSLOOKUP=false
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_APPLICATIONID=${USPS_APPLICATIONID:- }
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_APIKEY=${USPS_APIKEY:- }
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_REMOTEAPPLICATIONID=${USAS_APPLICATIONID:- }
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_REMOTEAPIKEY=${USAS_APIKEY:- }
      - JAVA_OPTS=-Xmx840m 
